#ifndef PROBSYNC_H_
#define PROBSYNC_H_


#define NTL_NO_MIN_MAX		//this resolves the NTL conflict with windows.h

#include "NTL/matrix.h"
#include "NTL/mat_ZZ_p.h" 
#include "NTL/vec_ZZ.h"
#include "NTL/ZZ.h"
#include "NTL/ZZ_p.h"
#include "NTL/vec_ZZ_p.h"
#include "NTL/vec_vec_ZZ_p.h"
#include "NTL/ZZ_pX.h"
#include "NTL/ZZ_pXFactoring.h"
#include "common\constants.h"
#include <strstrea.h>
#include <windows.h>
#include <syncmgr.h>

#include "PC\CPISync\CPISync.h"

int reconcileProb(long mbar,long bsize,vec_ZZ_p HAData,vec_ZZ_p HBSamplevalues, vec_ZZ_p EXTRASPS,vec_ZZ_p EXTRAEVALS,ZZ tempzz, int ***missingdata);
int **runProb( int *pchash, int **hhpolyptr, int count, BYTE db );

#endif