#ifndef PALMHASHDB_H_
#define PALMHASHDB_H_

typedef struct				//hash database record
{
	int hashval;			//hash value of document
	int docindex;			//index value in SyncDocDB database of the document
} HashRecordType;

void blockInsertHashIndexes( UInt16 numhashes, HashRecordType hashvalues[], DmOpenRef hashDb );
UInt16 calcHashValue( char *data );
unsigned short calcNewIndex( UInt16 hashvalue, DmOpenRef hashDb );
void changeDocPtrAtHashIndex( DmOpenRef hashDBref, UInt16 index, UInt16 newdocptr );
UInt16 decrementDocPtrsGreaterThan( DmOpenRef hashDb, UInt16 docnumber );
void deleteHashIndex( UInt16 index, DmOpenRef hashDb );
UInt16 findIndexWithHashVal( UInt16 value, DmOpenRef hashDb, UInt16 *index );
unsigned short findRecordWithDocIndex( unsigned short docindex, DmOpenRef hashDb );
UInt16 getHashValue( DmOpenRef hashDb, UInt16 index );
void insertHashIndex( HashRecordType hashdata, DmOpenRef hashDb );
DmOpenRef openHashDb2();

#endif