//NOTE: Be careful when editting the #define statements! There should be two or three spaces after 
//the number in each line BEFORE THE NEWLINE, in order to be compatible with the automatic
//constant changer program, ConstChange.exe
#ifndef AVI_CONSTANTS
#define AVI_CONSTANTS

#define NUMMEMOS	10000  
#define MEMOSIZE	300  
#define REMOTEDATASIZE	50000
#define REPLYDATASIZE	25000
#define DIFFERENCES	300 
#define PROB1	12   

#define CPISYNC			//ONE OF THESE TWO MUST BE SELECTED, BUT ONLY ONE AT A TIME!!! MUTUALLY EXCLUSIVE!
//#define PROBSYNC

#define HASH1

//the path to the main directory containing all the files
#define ROOTPATH "C:\\Syncproj"
//the path to the user's palm directory
#define PALMPATH "C:\\Palm\\YaarA"

#define HASHDEBUG

#endif

// NUMMEMOS - maximum number of memos possible
// MEMOSIZE - mamximum memo size
// REMOTEDATASIZE - maximum size of data (in bytes) that can be sent from the local to remote machine
// REPLYDATASIZE - maximum size of data (in bytes) that can be sent from the remote to local machine
// DIFFERENCES - maximum number of differences (Mbar)
// PROB1 - # of polynomial evaluations in the first fragmented record... should be even
// HASHX - which version of the Hash database to use