// PCMemoView.h : interface of the CPCMemoView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PCMEMOVIEW_H__7479BA9C_FF8D_4FFC_9D03_FB04A62DDFD3__INCLUDED_)
#define AFX_PCMEMOVIEW_H__7479BA9C_FF8D_4FFC_9D03_FB04A62DDFD3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "common\constants.h"
#include "PC\PCGenMemo\PCGenMemo.h"
#include "PC\PCMemoFile\PCMemoFile.h"
//#define NUMMEMOS	500
//#define MEMOSIZE	200

/*typedef struct record
{
	short hash;
	char *data;
} memo;
*/

class CPCMemoView : public CFormView
{
protected: // create from serialization only
	CPCMemoView();
	DECLARE_DYNCREATE(CPCMemoView)

public:
	//{{AFX_DATA(CPCMemoView)
	enum { IDD = IDD_PCMEMO_FORM };
	CListBox	m_ListTitles;
	CString	m_memostring;
	//}}AFX_DATA

// Attributes
public:
	CPCMemoDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPCMemoView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	void removeAllTitles();
	void removeItemFromTitles( int index );
	void addItemToTitles( int index );
	void deleteMemo( );
	void getMemo( int index );
	void newMemo();
	void saveMemo();
	void initData();
	int currentmemo;
	int nummemos;
	memo memodata[NUMMEMOS];
	virtual ~CPCMemoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPCMemoView)
	afx_msg void OnSave();
	afx_msg void OnStop();
	afx_msg void OnSelchangeListmemos();
	afx_msg void OnDelete();
	afx_msg void OnSavefile();
	afx_msg void OnLoadfile();
	afx_msg void OnFillindata();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PCMemoView.cpp
inline CPCMemoDoc* CPCMemoView::GetDocument()
   { return (CPCMemoDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PCMEMOVIEW_H__7479BA9C_FF8D_4FFC_9D03_FB04A62DDFD3__INCLUDED_)
